Changeset 2268


Ignore:
Timestamp:
Feb 21, 2016 10:25:08 AM (3 years ago)
Author:
tkr
Message:

Re-running the autotools

Location:
stable/2.9
Files:
7 edited

Legend:

Unmodified
Added
Removed
  • stable/2.9/Cbc/Makefile.in

    r2263 r2268  
    182182COIN_HAS_CPX_FALSE = @COIN_HAS_CPX_FALSE@
    183183COIN_HAS_CPX_TRUE = @COIN_HAS_CPX_TRUE@
     184COIN_HAS_DOXYGEN_FALSE = @COIN_HAS_DOXYGEN_FALSE@
     185COIN_HAS_DOXYGEN_TRUE = @COIN_HAS_DOXYGEN_TRUE@
    184186COIN_HAS_DYLP_FALSE = @COIN_HAS_DYLP_FALSE@
    185187COIN_HAS_DYLP_TRUE = @COIN_HAS_DYLP_TRUE@
     
    188190COIN_HAS_GRB_FALSE = @COIN_HAS_GRB_FALSE@
    189191COIN_HAS_GRB_TRUE = @COIN_HAS_GRB_TRUE@
     192COIN_HAS_LATEX_FALSE = @COIN_HAS_LATEX_FALSE@
     193COIN_HAS_LATEX_TRUE = @COIN_HAS_LATEX_TRUE@
    190194COIN_HAS_MIPLIB3_FALSE = @COIN_HAS_MIPLIB3_FALSE@
    191195COIN_HAS_MIPLIB3_TRUE = @COIN_HAS_MIPLIB3_TRUE@
     
    411415coin_doxy_usedot = @coin_doxy_usedot@
    412416coin_have_doxygen = @coin_have_doxygen@
     417coin_have_latex = @coin_have_latex@
    413418datadir = @datadir@
    414419exec_prefix = @exec_prefix@
     
    492497# Files that are generated and should be cleaned with make distclean
    493498DISTCLEANFILES = $(am__append_3) $(VPATH_DISTCLEANFILES)
    494 DocFiles = README AUTHORS LICENSE
     499DocFiles = README AUTHORS LICENSE 
    495500DocInstallDir = $(datadir)/coin/doc/$(PACKAGE_NAME)
     501COIN_HAS_DOXYGEN = @COIN_HAS_DOXYGEN_TRUE@TRUE
     502COIN_HAS_LATEX = @COIN_HAS_LATEX_TRUE@TRUE
    496503all: all-recursive
    497504
     
    9931000        rm -f $(addlibsdir)/cbc_addlibs.txt
    9941001
    995 install-doc: $(DocFiles)
     1002doxygen-docs:
     1003        if test "$(COIN_HAS_DOXYGEN)" = TRUE; then \
     1004          if test -d "doxydoc/"; then \
     1005            doxygen doxydoc/doxygen.conf;\
     1006          fi;\
     1007        fi
     1008
     1009pdf-doxygen-docs: doxygen-docs
     1010        if test "$(COIN_HAS_DOXYGEN)" = TRUE; then \
     1011          if test -d "doxydoc/latex"; then \
     1012            if test "$(COIN_HAS_LATEX)" = TRUE; then \
     1013              cd doxydoc/latex;\
     1014              $(MAKE) pdf;\
     1015              cd -;\
     1016            fi;\
     1017          fi;\
     1018        fi
     1019
     1020clean-doxygen-docs:
     1021        if test -d "doxydoc/"; then \
     1022          cd doxydoc ;\
     1023          rm -rf html latex *.log *.tag;\
     1024        fi
     1025
     1026install-doxygen-docs: doxygen-docs
     1027        if test "$(COIN_HAS_DOXYGEN)" = TRUE; then \
     1028          if test -d "doxydoc/"; then \
     1029            test -d "$(DESTDIR)$(DocInstallDir)/doxydoc" || $(mkdir_p) "$(DESTDIR)$(DocInstallDir)/doxydoc"; \
     1030            $(INSTALL_DATA) @coin_doxy_tagname@ "$(DESTDIR)$(DocInstallDir)/@coin_doxy_tagname@";\
     1031            if test -f "doxydoc/latex/refman.pdf"; then \
     1032              $(INSTALL_DATA) doxydoc/latex/refman.pdf "$(DESTDIR)$(DocInstallDir)";\
     1033            fi;\
     1034            if test -d "doxydoc/html"; then \
     1035              test -d "$(DESTDIR)$(DocInstallDir)/doxydoc/search/" || $(mkdir_p) "$(DESTDIR)$(DocInstallDir)/doxydoc/search/"; \
     1036              $(INSTALL_DATA) doxydoc/html/*.* "$(DESTDIR)$(DocInstallDir)/doxydoc";\
     1037              $(INSTALL_DATA) doxydoc/html/search/*.* "$(DESTDIR)$(DocInstallDir)/doxydoc/search";\
     1038            fi;\
     1039          fi;\
     1040        fi
     1041
     1042uninstall-doxygen-docs:
     1043        if test -d "$(DESTDIR)$(DocInstallDir)/doxydoc/"; then \
     1044          rm -rf "$(DESTDIR)$(DocInstallDir)/doxydoc/"; \
     1045        fi
     1046        if test -f "$(DESTDIR)$(DocInstallDir)/refman.pdf"; then \
     1047          rm -f "$(DESTDIR)$(DocInstallDir)/refman.pdf"; \
     1048        fi
     1049
     1050all-doxygen-docs:
     1051        for dir in $(subdirs) ; do \
     1052          do_project=true;\
     1053          for proj in $(COIN_SKIP_DOXYGEN); do\
     1054            if test $$dir = $$proj; then\
     1055              do_project=false;\
     1056            fi;\
     1057          done;\
     1058          if test -r $$dir/doxydoc & $$do_project = true; then \
     1059            (cd $$dir ; $(MAKE) doxygen-docs) \
     1060          fi ; \
     1061        done ;
     1062
     1063clean-all-doxygen-docs:
     1064        for dir in $(subdirs) ; do \
     1065          if test -r $$dir/doxydoc ; then \
     1066            (cd $$dir ; $(MAKE) clean-doxygen-docs) \
     1067          fi ; \
     1068        done ;
     1069
     1070install-all-doxygen-docs: all-doxygen-docs
     1071        for dir in $(subdirs) ; do \
     1072          do_project=true;\
     1073          for proj in $(COIN_SKIP_DOXYGEN); do\
     1074            if test $$dir = $$proj; then\
     1075              do_project=false;\
     1076            fi;\
     1077          done;\
     1078          if test -r $$dir/doxydoc & $$do_project = true; then \
     1079            (cd $$dir ; $(MAKE) install-doxygen-docs) \
     1080          fi ; \
     1081        done ;
     1082
     1083uninstall-all-doxygen-docs:
     1084        for dir in $(subdirs) ; do \
     1085          if test -r $$dir/doxydoc ; then \
     1086            (cd $$dir ; $(MAKE) uninstall-doxygen-docs) \
     1087          fi ; \
     1088        done ;
     1089
     1090install-doc: $(DocFiles)
    9961091        test -z "$(DocInstallDir)" || $(mkdir_p) "$(DESTDIR)$(DocInstallDir)"
    9971092        for file in $(DocFiles); do \
    9981093          if test -f "$$file"; then dir=; else dir="$(srcdir)/"; fi; \
    9991094          if test -f "$$dir$$file"; then $(INSTALL_DATA) "$$dir$$file" "$(DESTDIR)$(DocInstallDir)/$$file"; fi; \
    1000         done
     1095        done 
    10011096
    10021097uninstall-doc:
  • stable/2.9/Cbc/configure

    r2263 r2268  
    473473#endif"
    474474
    475 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE have_svnversion CBC_SVN_REV CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT COIN_CC_IS_CL_TRUE COIN_CC_IS_CL_FALSE MPICC CXXDEFS ADD_CXXFLAGS DBG_CXXFLAGS OPT_CXXFLAGS CXX CXXFLAGS ac_ct_CXX COIN_CXX_IS_CL_TRUE COIN_CXX_IS_CL_FALSE MPICXX EGREP LN_S INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS DEPENDENCY_LINKING_TRUE DEPENDENCY_LINKING_FALSE LT_LDFLAGS PKG_CONFIG ac_ct_PKG_CONFIG COIN_HAS_PKGCONFIG_TRUE COIN_HAS_PKGCONFIG_FALSE COIN_PKG_CONFIG_PATH COIN_PKG_CONFIG_PATH_UNINSTALLED COINDEPEND_LIBS COINDEPEND_CFLAGS COINDEPEND_DATA COINDEPEND_DEPENDENCIES COINDEPEND_LIBS_INSTALLED COINDEPEND_CFLAGS_INSTALLED COINDEPEND_DATA_INSTALLED CBCLIB_CFLAGS CBCLIB_LIBS CBCLIB_PCLIBS CBCLIB_PCREQUIRES CBCLIB_DEPENDENCIES CBCLIB_CFLAGS_INSTALLED CBCLIB_LIBS_INSTALLED CBCGENERIC_CFLAGS CBCGENERIC_LIBS CBCGENERIC_PCLIBS CBCGENERIC_PCREQUIRES CBCGENERIC_DEPENDENCIES CBCGENERIC_CFLAGS_INSTALLED CBCGENERIC_LIBS_INSTALLED COIN_HAS_COINDEPEND_TRUE COIN_HAS_COINDEPEND_FALSE CLP_LIBS CLP_CFLAGS CLP_DATA CLP_DEPENDENCIES CLP_LIBS_INSTALLED CLP_CFLAGS_INSTALLED CLP_DATA_INSTALLED COIN_HAS_CLP_TRUE COIN_HAS_CLP_FALSE OSITESTS_LIBS OSITESTS_CFLAGS OSITESTS_DATA OSITESTS_DEPENDENCIES OSITESTS_LIBS_INSTALLED OSITESTS_CFLAGS_INSTALLED OSITESTS_DATA_INSTALLED COIN_HAS_OSITESTS_TRUE COIN_HAS_OSITESTS_FALSE SAMPLE_LIBS SAMPLE_CFLAGS SAMPLE_DATA SAMPLE_DEPENDENCIES SAMPLE_LIBS_INSTALLED SAMPLE_CFLAGS_INSTALLED SAMPLE_DATA_INSTALLED COIN_HAS_SAMPLE_TRUE COIN_HAS_SAMPLE_FALSE NETLIB_LIBS NETLIB_CFLAGS NETLIB_DATA NETLIB_DEPENDENCIES NETLIB_LIBS_INSTALLED NETLIB_CFLAGS_INSTALLED NETLIB_DATA_INSTALLED COIN_HAS_NETLIB_TRUE COIN_HAS_NETLIB_FALSE MIPLIB3_LIBS MIPLIB3_CFLAGS MIPLIB3_DATA MIPLIB3_DEPENDENCIES MIPLIB3_LIBS_INSTALLED MIPLIB3_CFLAGS_INSTALLED MIPLIB3_DATA_INSTALLED COIN_HAS_MIPLIB3_TRUE COIN_HAS_MIPLIB3_FALSE DYLP_LIBS DYLP_CFLAGS DYLP_DATA DYLP_DEPENDENCIES DYLP_LIBS_INSTALLED DYLP_CFLAGS_INSTALLED DYLP_DATA_INSTALLED COIN_HAS_DYLP_TRUE COIN_HAS_DYLP_FALSE VOL_LIBS VOL_CFLAGS VOL_DATA VOL_DEPENDENCIES VOL_LIBS_INSTALLED VOL_CFLAGS_INSTALLED VOL_DATA_INSTALLED COIN_HAS_VOL_TRUE COIN_HAS_VOL_FALSE CPX_LIBS CPX_CFLAGS CPX_DATA CPX_DEPENDENCIES CPX_LIBS_INSTALLED CPX_CFLAGS_INSTALLED CPX_DATA_INSTALLED COIN_HAS_CPX_TRUE COIN_HAS_CPX_FALSE GLPK_LIBS GLPK_CFLAGS GLPK_DATA GLPK_DEPENDENCIES GLPK_LIBS_INSTALLED GLPK_CFLAGS_INSTALLED GLPK_DATA_INSTALLED COIN_HAS_GLPK_TRUE COIN_HAS_GLPK_FALSE GRB_LIBS GRB_CFLAGS GRB_DATA GRB_DEPENDENCIES GRB_LIBS_INSTALLED GRB_CFLAGS_INSTALLED GRB_DATA_INSTALLED COIN_HAS_GRB_TRUE COIN_HAS_GRB_FALSE MSK_LIBS MSK_CFLAGS MSK_DATA MSK_DEPENDENCIES MSK_LIBS_INSTALLED MSK_CFLAGS_INSTALLED MSK_DATA_INSTALLED COIN_HAS_MSK_TRUE COIN_HAS_MSK_FALSE SPX_LIBS SPX_CFLAGS SPX_DATA SPX_DEPENDENCIES SPX_LIBS_INSTALLED SPX_CFLAGS_INSTALLED SPX_DATA_INSTALLED COIN_HAS_SPX_TRUE COIN_HAS_SPX_FALSE XPR_LIBS XPR_CFLAGS XPR_DATA XPR_DEPENDENCIES XPR_LIBS_INSTALLED XPR_CFLAGS_INSTALLED XPR_DATA_INSTALLED COIN_HAS_XPR_TRUE COIN_HAS_XPR_FALSE ASL_LIBS ASL_CFLAGS ASL_DATA ASL_DEPENDENCIES ASL_LIBS_INSTALLED ASL_CFLAGS_INSTALLED ASL_DATA_INSTALLED COIN_HAS_ASL_TRUE COIN_HAS_ASL_FALSE NTYINCDIR NTYLIB COIN_HAS_NTY_TRUE COIN_HAS_NTY_FALSE CBC_BUILD_CBC_GENERIC_TRUE CBC_BUILD_CBC_GENERIC_FALSE OSICBC_DFLT_SOLVER_CLP_TRUE OSICBC_DFLT_SOLVER_CLP_FALSE OSICBC_DFLT_SOLVER_CPX_TRUE OSICBC_DFLT_SOLVER_CPX_FALSE OSICBC_DFLT_SOLVER_DYLP_TRUE OSICBC_DFLT_SOLVER_DYLP_FALSE OSICBC_DFLT_SOLVER_GLPK_TRUE OSICBC_DFLT_SOLVER_GLPK_FALSE OSICBC_DFLT_SOLVER_GRB_TRUE OSICBC_DFLT_SOLVER_GRB_FALSE OSICBC_DFLT_SOLVER_MSK_TRUE OSICBC_DFLT_SOLVER_MSK_FALSE OSICBC_DFLT_SOLVER_SPX_TRUE OSICBC_DFLT_SOLVER_SPX_FALSE OSICBC_DFLT_SOLVER_SYM_TRUE OSICBC_DFLT_SOLVER_SYM_FALSE OSICBC_DFLT_SOLVER_VOL_TRUE OSICBC_DFLT_SOLVER_VOL_FALSE OSICBC_DFLT_SOLVER_XPR_TRUE OSICBC_DFLT_SOLVER_XPR_FALSE coin_have_doxygen coin_doxy_usedot coin_doxy_tagname coin_doxy_logname coin_doxy_tagfiles coin_doxy_excludes LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
     475ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE have_svnversion CBC_SVN_REV CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT COIN_CC_IS_CL_TRUE COIN_CC_IS_CL_FALSE MPICC CXXDEFS ADD_CXXFLAGS DBG_CXXFLAGS OPT_CXXFLAGS CXX CXXFLAGS ac_ct_CXX COIN_CXX_IS_CL_TRUE COIN_CXX_IS_CL_FALSE MPICXX EGREP LN_S INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS DEPENDENCY_LINKING_TRUE DEPENDENCY_LINKING_FALSE LT_LDFLAGS PKG_CONFIG ac_ct_PKG_CONFIG COIN_HAS_PKGCONFIG_TRUE COIN_HAS_PKGCONFIG_FALSE COIN_PKG_CONFIG_PATH COIN_PKG_CONFIG_PATH_UNINSTALLED COINDEPEND_LIBS COINDEPEND_CFLAGS COINDEPEND_DATA COINDEPEND_DEPENDENCIES COINDEPEND_LIBS_INSTALLED COINDEPEND_CFLAGS_INSTALLED COINDEPEND_DATA_INSTALLED CBCLIB_CFLAGS CBCLIB_LIBS CBCLIB_PCLIBS CBCLIB_PCREQUIRES CBCLIB_DEPENDENCIES CBCLIB_CFLAGS_INSTALLED CBCLIB_LIBS_INSTALLED CBCGENERIC_CFLAGS CBCGENERIC_LIBS CBCGENERIC_PCLIBS CBCGENERIC_PCREQUIRES CBCGENERIC_DEPENDENCIES CBCGENERIC_CFLAGS_INSTALLED CBCGENERIC_LIBS_INSTALLED COIN_HAS_COINDEPEND_TRUE COIN_HAS_COINDEPEND_FALSE CLP_LIBS CLP_CFLAGS CLP_DATA CLP_DEPENDENCIES CLP_LIBS_INSTALLED CLP_CFLAGS_INSTALLED CLP_DATA_INSTALLED COIN_HAS_CLP_TRUE COIN_HAS_CLP_FALSE OSITESTS_LIBS OSITESTS_CFLAGS OSITESTS_DATA OSITESTS_DEPENDENCIES OSITESTS_LIBS_INSTALLED OSITESTS_CFLAGS_INSTALLED OSITESTS_DATA_INSTALLED COIN_HAS_OSITESTS_TRUE COIN_HAS_OSITESTS_FALSE SAMPLE_LIBS SAMPLE_CFLAGS SAMPLE_DATA SAMPLE_DEPENDENCIES SAMPLE_LIBS_INSTALLED SAMPLE_CFLAGS_INSTALLED SAMPLE_DATA_INSTALLED COIN_HAS_SAMPLE_TRUE COIN_HAS_SAMPLE_FALSE NETLIB_LIBS NETLIB_CFLAGS NETLIB_DATA NETLIB_DEPENDENCIES NETLIB_LIBS_INSTALLED NETLIB_CFLAGS_INSTALLED NETLIB_DATA_INSTALLED COIN_HAS_NETLIB_TRUE COIN_HAS_NETLIB_FALSE MIPLIB3_LIBS MIPLIB3_CFLAGS MIPLIB3_DATA MIPLIB3_DEPENDENCIES MIPLIB3_LIBS_INSTALLED MIPLIB3_CFLAGS_INSTALLED MIPLIB3_DATA_INSTALLED COIN_HAS_MIPLIB3_TRUE COIN_HAS_MIPLIB3_FALSE DYLP_LIBS DYLP_CFLAGS DYLP_DATA DYLP_DEPENDENCIES DYLP_LIBS_INSTALLED DYLP_CFLAGS_INSTALLED DYLP_DATA_INSTALLED COIN_HAS_DYLP_TRUE COIN_HAS_DYLP_FALSE VOL_LIBS VOL_CFLAGS VOL_DATA VOL_DEPENDENCIES VOL_LIBS_INSTALLED VOL_CFLAGS_INSTALLED VOL_DATA_INSTALLED COIN_HAS_VOL_TRUE COIN_HAS_VOL_FALSE CPX_LIBS CPX_CFLAGS CPX_DATA CPX_DEPENDENCIES CPX_LIBS_INSTALLED CPX_CFLAGS_INSTALLED CPX_DATA_INSTALLED COIN_HAS_CPX_TRUE COIN_HAS_CPX_FALSE GLPK_LIBS GLPK_CFLAGS GLPK_DATA GLPK_DEPENDENCIES GLPK_LIBS_INSTALLED GLPK_CFLAGS_INSTALLED GLPK_DATA_INSTALLED COIN_HAS_GLPK_TRUE COIN_HAS_GLPK_FALSE GRB_LIBS GRB_CFLAGS GRB_DATA GRB_DEPENDENCIES GRB_LIBS_INSTALLED GRB_CFLAGS_INSTALLED GRB_DATA_INSTALLED COIN_HAS_GRB_TRUE COIN_HAS_GRB_FALSE MSK_LIBS MSK_CFLAGS MSK_DATA MSK_DEPENDENCIES MSK_LIBS_INSTALLED MSK_CFLAGS_INSTALLED MSK_DATA_INSTALLED COIN_HAS_MSK_TRUE COIN_HAS_MSK_FALSE SPX_LIBS SPX_CFLAGS SPX_DATA SPX_DEPENDENCIES SPX_LIBS_INSTALLED SPX_CFLAGS_INSTALLED SPX_DATA_INSTALLED COIN_HAS_SPX_TRUE COIN_HAS_SPX_FALSE XPR_LIBS XPR_CFLAGS XPR_DATA XPR_DEPENDENCIES XPR_LIBS_INSTALLED XPR_CFLAGS_INSTALLED XPR_DATA_INSTALLED COIN_HAS_XPR_TRUE COIN_HAS_XPR_FALSE ASL_LIBS ASL_CFLAGS ASL_DATA ASL_DEPENDENCIES ASL_LIBS_INSTALLED ASL_CFLAGS_INSTALLED ASL_DATA_INSTALLED COIN_HAS_ASL_TRUE COIN_HAS_ASL_FALSE NTYINCDIR NTYLIB COIN_HAS_NTY_TRUE COIN_HAS_NTY_FALSE CBC_BUILD_CBC_GENERIC_TRUE CBC_BUILD_CBC_GENERIC_FALSE OSICBC_DFLT_SOLVER_CLP_TRUE OSICBC_DFLT_SOLVER_CLP_FALSE OSICBC_DFLT_SOLVER_CPX_TRUE OSICBC_DFLT_SOLVER_CPX_FALSE OSICBC_DFLT_SOLVER_DYLP_TRUE OSICBC_DFLT_SOLVER_DYLP_FALSE OSICBC_DFLT_SOLVER_GLPK_TRUE OSICBC_DFLT_SOLVER_GLPK_FALSE OSICBC_DFLT_SOLVER_GRB_TRUE OSICBC_DFLT_SOLVER_GRB_FALSE OSICBC_DFLT_SOLVER_MSK_TRUE OSICBC_DFLT_SOLVER_MSK_FALSE OSICBC_DFLT_SOLVER_SPX_TRUE OSICBC_DFLT_SOLVER_SPX_FALSE OSICBC_DFLT_SOLVER_SYM_TRUE OSICBC_DFLT_SOLVER_SYM_FALSE OSICBC_DFLT_SOLVER_VOL_TRUE OSICBC_DFLT_SOLVER_VOL_FALSE OSICBC_DFLT_SOLVER_XPR_TRUE OSICBC_DFLT_SOLVER_XPR_FALSE coin_have_doxygen coin_have_latex coin_doxy_usedot coin_doxy_tagname coin_doxy_logname COIN_HAS_DOXYGEN_TRUE COIN_HAS_DOXYGEN_FALSE COIN_HAS_LATEX_TRUE COIN_HAS_LATEX_FALSE coin_doxy_tagfiles coin_doxy_excludes LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
    476476ac_subst_files=''
    477477
     
    10951095                          optimize for fast installation [default=yes]
    10961096  --disable-libtool-lock  avoid locking (might break parallel builds)
     1097  --disable-dependency-linking
     1098                          disable linking library dependencies into shared
     1099                          libraries
    10971100  --disable-pkg-config    disable use of pkg-config (if available)
    10981101  --disable-interpackage-dependencies
     
    40904093fi
    40914094
    4092 # correct the LD variable in a build with MS or intel compiler
     4095# correct the LD variable in a build with MS or Intel-windows compiler
    40934096case "$CXX" in
    40944097  clang* ) ;;
     
    41374140            ;;
    41384141          *gcc*)
    4139             if test x"$enable_dependency_linking" = xyes; then
     4142            if test x"$enable_dependency_linking" = xyes; then
    41404143              coin_disable_shared=no
    41414144            else
     
    58735876*-*-irix6*)
    58745877  # Find out which ABI we are using.
    5875   echo '#line 5875 "configure"' > conftest.$ac_ext
     5878  echo '#line 5878 "configure"' > conftest.$ac_ext
    58765879  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    58775880  (eval $ac_compile) 2>&5
     
    70077010
    70087011# Provide some information about the compiler.
    7009 echo "$as_me:7009:" \
     7012echo "$as_me:7012:" \
    70107013     "checking for Fortran 77 compiler version" >&5
    70117014ac_compiler=`set X $ac_compile; echo $2`
     
    80748077   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    80758078   -e 's:$: $lt_compiler_flag:'`
    8076    (eval echo "\"\$as_me:8076: $lt_compile\"" >&5)
     8079   (eval echo "\"\$as_me:8079: $lt_compile\"" >&5)
    80778080   (eval "$lt_compile" 2>conftest.err)
    80788081   ac_status=$?
    80798082   cat conftest.err >&5
    8080    echo "$as_me:8080: \$? = $ac_status" >&5
     8083   echo "$as_me:8083: \$? = $ac_status" >&5
    80818084   if (exit $ac_status) && test -s "$ac_outfile"; then
    80828085     # The compiler can only warn and ignore the option if not recognized
     
    83428345   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    83438346   -e 's:$: $lt_compiler_flag:'`
    8344    (eval echo "\"\$as_me:8344: $lt_compile\"" >&5)
     8347   (eval echo "\"\$as_me:8347: $lt_compile\"" >&5)
    83458348   (eval "$lt_compile" 2>conftest.err)
    83468349   ac_status=$?
    83478350   cat conftest.err >&5
    8348    echo "$as_me:8348: \$? = $ac_status" >&5
     8351   echo "$as_me:8351: \$? = $ac_status" >&5
    83498352   if (exit $ac_status) && test -s "$ac_outfile"; then
    83508353     # The compiler can only warn and ignore the option if not recognized
     
    84468449   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    84478450   -e 's:$: $lt_compiler_flag:'`
    8448    (eval echo "\"\$as_me:8448: $lt_compile\"" >&5)
     8451   (eval echo "\"\$as_me:8451: $lt_compile\"" >&5)
    84498452   (eval "$lt_compile" 2>out/conftest.err)
    84508453   ac_status=$?
    84518454   cat out/conftest.err >&5
    8452    echo "$as_me:8452: \$? = $ac_status" >&5
     8455   echo "$as_me:8455: \$? = $ac_status" >&5
    84538456   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    84548457   then
     
    1079110794  lt_status=$lt_dlunknown
    1079210795  cat > conftest.$ac_ext <<EOF
    10793 #line 10793 "configure"
     10796#line 10796 "configure"
    1079410797#include "confdefs.h"
    1079510798
     
    1089110894  lt_status=$lt_dlunknown
    1089210895  cat > conftest.$ac_ext <<EOF
    10893 #line 10893 "configure"
     10896#line 10896 "configure"
    1089410897#include "confdefs.h"
    1089510898
     
    1323513238   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1323613239   -e 's:$: $lt_compiler_flag:'`
    13237    (eval echo "\"\$as_me:13237: $lt_compile\"" >&5)
     13240   (eval echo "\"\$as_me:13240: $lt_compile\"" >&5)
    1323813241   (eval "$lt_compile" 2>conftest.err)
    1323913242   ac_status=$?
    1324013243   cat conftest.err >&5
    13241    echo "$as_me:13241: \$? = $ac_status" >&5
     13244   echo "$as_me:13244: \$? = $ac_status" >&5
    1324213245   if (exit $ac_status) && test -s "$ac_outfile"; then
    1324313246     # The compiler can only warn and ignore the option if not recognized
     
    1333913342   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1334013343   -e 's:$: $lt_compiler_flag:'`
    13341    (eval echo "\"\$as_me:13341: $lt_compile\"" >&5)
     13344   (eval echo "\"\$as_me:13344: $lt_compile\"" >&5)
    1334213345   (eval "$lt_compile" 2>out/conftest.err)
    1334313346   ac_status=$?
    1334413347   cat out/conftest.err >&5
    13345    echo "$as_me:13345: \$? = $ac_status" >&5
     13348   echo "$as_me:13348: \$? = $ac_status" >&5
    1334613349   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1334713350   then
     
    1490914912   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1491014913   -e 's:$: $lt_compiler_flag:'`
    14911    (eval echo "\"\$as_me:14911: $lt_compile\"" >&5)
     14914   (eval echo "\"\$as_me:14914: $lt_compile\"" >&5)
    1491214915   (eval "$lt_compile" 2>conftest.err)
    1491314916   ac_status=$?
    1491414917   cat conftest.err >&5
    14915    echo "$as_me:14915: \$? = $ac_status" >&5
     14918   echo "$as_me:14918: \$? = $ac_status" >&5
    1491614919   if (exit $ac_status) && test -s "$ac_outfile"; then
    1491714920     # The compiler can only warn and ignore the option if not recognized
     
    1501315016   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1501415017   -e 's:$: $lt_compiler_flag:'`
    15015    (eval echo "\"\$as_me:15015: $lt_compile\"" >&5)
     15018   (eval echo "\"\$as_me:15018: $lt_compile\"" >&5)
    1501615019   (eval "$lt_compile" 2>out/conftest.err)
    1501715020   ac_status=$?
    1501815021   cat out/conftest.err >&5
    15019    echo "$as_me:15019: \$? = $ac_status" >&5
     15022   echo "$as_me:15022: \$? = $ac_status" >&5
    1502015023   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1502115024   then
     
    1722017223   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1722117224   -e 's:$: $lt_compiler_flag:'`
    17222    (eval echo "\"\$as_me:17222: $lt_compile\"" >&5)
     17225   (eval echo "\"\$as_me:17225: $lt_compile\"" >&5)
    1722317226   (eval "$lt_compile" 2>conftest.err)
    1722417227   ac_status=$?
    1722517228   cat conftest.err >&5
    17226    echo "$as_me:17226: \$? = $ac_status" >&5
     17229   echo "$as_me:17229: \$? = $ac_status" >&5
    1722717230   if (exit $ac_status) && test -s "$ac_outfile"; then
    1722817231     # The compiler can only warn and ignore the option if not recognized
     
    1748817491   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1748917492   -e 's:$: $lt_compiler_flag:'`
    17490    (eval echo "\"\$as_me:17490: $lt_compile\"" >&5)
     17493   (eval echo "\"\$as_me:17493: $lt_compile\"" >&5)
    1749117494   (eval "$lt_compile" 2>conftest.err)
    1749217495   ac_status=$?
    1749317496   cat conftest.err >&5
    17494    echo "$as_me:17494: \$? = $ac_status" >&5
     17497   echo "$as_me:17497: \$? = $ac_status" >&5
    1749517498   if (exit $ac_status) && test -s "$ac_outfile"; then
    1749617499     # The compiler can only warn and ignore the option if not recognized
     
    1759217595   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1759317596   -e 's:$: $lt_compiler_flag:'`
    17594    (eval echo "\"\$as_me:17594: $lt_compile\"" >&5)
     17597   (eval echo "\"\$as_me:17597: $lt_compile\"" >&5)
    1759517598   (eval "$lt_compile" 2>out/conftest.err)
    1759617599   ac_status=$?
    1759717600   cat out/conftest.err >&5
    17598    echo "$as_me:17598: \$? = $ac_status" >&5
     17601   echo "$as_me:17601: \$? = $ac_status" >&5
    1759917602   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1760017603   then
     
    2028420287    *-mingw*)
    2028520288      CYGPATH_W=echo
    20286       mydos2unix=
    2028720289      ;;
    2028820290  esac
     
    2048820490  # On Cygwin and AIX, building DLLs doesn't work
    2048920491  dependency_linking=no
    20490   if test x"$enable_shared" = xyes; then
     20492  if test x"$coin_disable_shared" = xno; then
    2049120493    case $build in
    2049220494      *-cygwin* | *-mingw*)
    2049320495        case "$CC" in
    2049420496          clang* )
    20495             dependency_linking=yes
     20497            dependency_linking=yes
    2049620498            ;;
    2049720499          cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    20498             dependency_linking=no
     20500            dependency_linking=no
    2049920501            ;;
    2050020502          *gcc*)
    20501             dependency_linking=yes
     20503            dependency_linking=yes
    2050220504            ;;
    2050320505          *)
    20504             dependency_linking=yes
     20506            dependency_linking=yes
    2050520507            ;;
    2050620508        esac
     
    3045530457fi
    3045630458
     30459# Extract the first word of "latex", so it can be a program name with args.
     30460set dummy latex; ac_word=$2
     30461echo "$as_me:$LINENO: checking for $ac_word" >&5
     30462echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
     30463if test "${ac_cv_prog_coin_have_latex+set}" = set; then
     30464  echo $ECHO_N "(cached) $ECHO_C" >&6
     30465else
     30466  if test -n "$coin_have_latex"; then
     30467  ac_cv_prog_coin_have_latex="$coin_have_latex" # Let the user override the test.
     30468else
     30469as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
     30470for as_dir in $PATH
     30471do
     30472  IFS=$as_save_IFS
     30473  test -z "$as_dir" && as_dir=.
     30474  for ac_exec_ext in '' $ac_executable_extensions; do
     30475  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
     30476    ac_cv_prog_coin_have_latex="yes"
     30477    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
     30478    break 2
     30479  fi
     30480done
     30481done
     30482
     30483  test -z "$ac_cv_prog_coin_have_latex" && ac_cv_prog_coin_have_latex="no"
     30484fi
     30485fi
     30486coin_have_latex=$ac_cv_prog_coin_have_latex
     30487if test -n "$coin_have_latex"; then
     30488  echo "$as_me:$LINENO: result: $coin_have_latex" >&5
     30489echo "${ECHO_T}$coin_have_latex" >&6
     30490else
     30491  echo "$as_me:$LINENO: result: no" >&5
     30492echo "${ECHO_T}no" >&6
     30493fi
     30494
    3045730495
    3045830496# Look for the dot tool from the graphviz package, unless the user has
     
    3051930557
    3052030558
     30559
     30560if test $coin_have_doxygen = yes; then
     30561  COIN_HAS_DOXYGEN_TRUE=
     30562  COIN_HAS_DOXYGEN_FALSE='#'
     30563else
     30564  COIN_HAS_DOXYGEN_TRUE='#'
     30565  COIN_HAS_DOXYGEN_FALSE=
     30566fi
     30567
     30568
     30569
     30570if test $coin_have_latex = yes; then
     30571  COIN_HAS_LATEX_TRUE=
     30572  COIN_HAS_LATEX_FALSE='#'
     30573else
     30574  COIN_HAS_LATEX_TRUE='#'
     30575  COIN_HAS_LATEX_FALSE=
     30576fi
     30577
     30578
    3052130579# Process the list of project names and massage them into possible doxygen
    3052230580# doc'n directories. Prefer 1) classic external, source processed using
     
    3053830596  doxytag=${lc_proj}_doxy.tag
    3053930597  doxyfound=no
    30540   for chkProj in $coin_subdirs ; do
    30541     if test "$chkProj" = "$proj" ; then
    30542       # proj will be configured, hence doxydoc present in build tree
    30543       doxysrcdir="${srcdir}/${proj}"
    30544       # AC_MSG_NOTICE([Considering $doxysrcdir (base)])
    30545       if test -d "$doxysrcdir" ; then
    30546         # with a doxydoc directory?
    30547         doxydir="$doxysrcdir/doxydoc"
    30548         # AC_MSG_NOTICE([Considering $doxydir (base)])
    30549         # AC_MSG_NOTICE([Subdirs: $coin_subdirs)])
    30550         if test -d "$doxydir" ; then
    30551           # use tag file; don't process source
    30552           eval doxydir="`pwd`/${proj}/doxydoc"
    30553           coin_doxy_tagfiles="$coin_doxy_tagfiles $doxydir/$doxytag=$doxydir/html"
    30554           echo "$as_me:$LINENO: result: $doxydir (tag)" >&5
     30598  # proj will be configured, hence doxydoc present in build tree
     30599  doxysrcdir="${srcdir}/../${proj}"
     30600  # AC_MSG_NOTICE([Considering $doxysrcdir (base)])
     30601  if test -d "$doxysrcdir" ; then
     30602    # with a doxydoc directory?
     30603    doxydir="$doxysrcdir/doxydoc"
     30604    # AC_MSG_NOTICE([Considering $doxydir (base)])
     30605    # AC_MSG_NOTICE([Subdirs: $coin_subdirs)])
     30606    if test -d "$doxydir" ; then
     30607      # use tag file; don't process source
     30608      doxydir="../${proj}/doxydoc"
     30609      coin_doxy_tagfiles="$coin_doxy_tagfiles $doxydir/$doxytag=../../$doxydir/html"
     30610      echo "$as_me:$LINENO: result: $doxydir (tag)" >&5
    3055530611echo "${ECHO_T}$doxydir (tag)" >&6
    30556           coin_doxy_excludes="$coin_doxy_excludes */${proj}"
    30557         else
    30558           # will process the source -- nothing further to be done here
    30559           echo "$as_me:$LINENO: result: $doxysrcdir (src)" >&5
     30612      coin_doxy_excludes="$coin_doxy_excludes */${proj}"
     30613    else
     30614      # will process the source -- nothing further to be done here
     30615      echo "$as_me:$LINENO: result: $doxysrcdir (src)" >&5
    3056030616echo "${ECHO_T}$doxysrcdir (src)" >&6
    30561         fi
    30562         doxyfound=yes
    30563       fi
    3056430617    fi
    30565   done
     30618    doxyfound=yes
     30619  fi
    3056630620  # Not built, fall back to installed tag file
    3056730621  if test $doxyfound = no ; then
     
    3110931163Usually this means the macro was only invoked conditionally." >&5
    3111031164echo "$as_me: error: conditional \"OSICBC_DFLT_SOLVER_XPR\" was never defined.
     31165Usually this means the macro was only invoked conditionally." >&2;}
     31166   { (exit 1); exit 1; }; }
     31167fi
     31168if test -z "${COIN_HAS_DOXYGEN_TRUE}" && test -z "${COIN_HAS_DOXYGEN_FALSE}"; then
     31169  { { echo "$as_me:$LINENO: error: conditional \"COIN_HAS_DOXYGEN\" was never defined.
     31170Usually this means the macro was only invoked conditionally." >&5
     31171echo "$as_me: error: conditional \"COIN_HAS_DOXYGEN\" was never defined.
     31172Usually this means the macro was only invoked conditionally." >&2;}
     31173   { (exit 1); exit 1; }; }
     31174fi
     31175if test -z "${COIN_HAS_LATEX_TRUE}" && test -z "${COIN_HAS_LATEX_FALSE}"; then
     31176  { { echo "$as_me:$LINENO: error: conditional \"COIN_HAS_LATEX\" was never defined.
     31177Usually this means the macro was only invoked conditionally." >&5
     31178echo "$as_me: error: conditional \"COIN_HAS_LATEX\" was never defined.
    3111131179Usually this means the macro was only invoked conditionally." >&2;}
    3111231180   { (exit 1); exit 1; }; }
     
    3194132009s,@OSICBC_DFLT_SOLVER_XPR_FALSE@,$OSICBC_DFLT_SOLVER_XPR_FALSE,;t t
    3194232010s,@coin_have_doxygen@,$coin_have_doxygen,;t t
     32011s,@coin_have_latex@,$coin_have_latex,;t t
    3194332012s,@coin_doxy_usedot@,$coin_doxy_usedot,;t t
    3194432013s,@coin_doxy_tagname@,$coin_doxy_tagname,;t t
    3194532014s,@coin_doxy_logname@,$coin_doxy_logname,;t t
     32015s,@COIN_HAS_DOXYGEN_TRUE@,$COIN_HAS_DOXYGEN_TRUE,;t t
     32016s,@COIN_HAS_DOXYGEN_FALSE@,$COIN_HAS_DOXYGEN_FALSE,;t t
     32017s,@COIN_HAS_LATEX_TRUE@,$COIN_HAS_LATEX_TRUE,;t t
     32018s,@COIN_HAS_LATEX_FALSE@,$COIN_HAS_LATEX_FALSE,;t t
    3194632019s,@coin_doxy_tagfiles@,$coin_doxy_tagfiles,;t t
    3194732020s,@coin_doxy_excludes@,$coin_doxy_excludes,;t t
  • stable/2.9/Cbc/src/Makefile.in

    r2263 r2268  
    250250COIN_HAS_CPX_FALSE = @COIN_HAS_CPX_FALSE@
    251251COIN_HAS_CPX_TRUE = @COIN_HAS_CPX_TRUE@
     252COIN_HAS_DOXYGEN_FALSE = @COIN_HAS_DOXYGEN_FALSE@
     253COIN_HAS_DOXYGEN_TRUE = @COIN_HAS_DOXYGEN_TRUE@
    252254COIN_HAS_DYLP_FALSE = @COIN_HAS_DYLP_FALSE@
    253255COIN_HAS_DYLP_TRUE = @COIN_HAS_DYLP_TRUE@
     
    256258COIN_HAS_GRB_FALSE = @COIN_HAS_GRB_FALSE@
    257259COIN_HAS_GRB_TRUE = @COIN_HAS_GRB_TRUE@
     260COIN_HAS_LATEX_FALSE = @COIN_HAS_LATEX_FALSE@
     261COIN_HAS_LATEX_TRUE = @COIN_HAS_LATEX_TRUE@
    258262COIN_HAS_MIPLIB3_FALSE = @COIN_HAS_MIPLIB3_FALSE@
    259263COIN_HAS_MIPLIB3_TRUE = @COIN_HAS_MIPLIB3_TRUE@
     
    479483coin_doxy_usedot = @coin_doxy_usedot@
    480484coin_have_doxygen = @coin_have_doxygen@
     485coin_have_latex = @coin_have_latex@
    481486datadir = @datadir@
    482487exec_prefix = @exec_prefix@
  • stable/2.9/Cbc/src/OsiCbc/Makefile.in

    r2263 r2268  
    175175COIN_HAS_CPX_FALSE = @COIN_HAS_CPX_FALSE@
    176176COIN_HAS_CPX_TRUE = @COIN_HAS_CPX_TRUE@
     177COIN_HAS_DOXYGEN_FALSE = @COIN_HAS_DOXYGEN_FALSE@
     178COIN_HAS_DOXYGEN_TRUE = @COIN_HAS_DOXYGEN_TRUE@
    177179COIN_HAS_DYLP_FALSE = @COIN_HAS_DYLP_FALSE@
    178180COIN_HAS_DYLP_TRUE = @COIN_HAS_DYLP_TRUE@
     
    181183COIN_HAS_GRB_FALSE = @COIN_HAS_GRB_FALSE@
    182184COIN_HAS_GRB_TRUE = @COIN_HAS_GRB_TRUE@
     185COIN_HAS_LATEX_FALSE = @COIN_HAS_LATEX_FALSE@
     186COIN_HAS_LATEX_TRUE = @COIN_HAS_LATEX_TRUE@
    183187COIN_HAS_MIPLIB3_FALSE = @COIN_HAS_MIPLIB3_FALSE@
    184188COIN_HAS_MIPLIB3_TRUE = @COIN_HAS_MIPLIB3_TRUE@
     
    404408coin_doxy_usedot = @coin_doxy_usedot@
    405409coin_have_doxygen = @coin_have_doxygen@
     410coin_have_latex = @coin_have_latex@
    406411datadir = @datadir@
    407412exec_prefix = @exec_prefix@
  • stable/2.9/Cbc/test/Makefile.in

    r2263 r2268  
    169169COIN_HAS_CPX_FALSE = @COIN_HAS_CPX_FALSE@
    170170COIN_HAS_CPX_TRUE = @COIN_HAS_CPX_TRUE@
     171COIN_HAS_DOXYGEN_FALSE = @COIN_HAS_DOXYGEN_FALSE@
     172COIN_HAS_DOXYGEN_TRUE = @COIN_HAS_DOXYGEN_TRUE@
    171173COIN_HAS_DYLP_FALSE = @COIN_HAS_DYLP_FALSE@
    172174COIN_HAS_DYLP_TRUE = @COIN_HAS_DYLP_TRUE@
     
    175177COIN_HAS_GRB_FALSE = @COIN_HAS_GRB_FALSE@
    176178COIN_HAS_GRB_TRUE = @COIN_HAS_GRB_TRUE@
     179COIN_HAS_LATEX_FALSE = @COIN_HAS_LATEX_FALSE@
     180COIN_HAS_LATEX_TRUE = @COIN_HAS_LATEX_TRUE@
    177181COIN_HAS_MIPLIB3_FALSE = @COIN_HAS_MIPLIB3_FALSE@
    178182COIN_HAS_MIPLIB3_TRUE = @COIN_HAS_MIPLIB3_TRUE@
     
    398402coin_doxy_usedot = @coin_doxy_usedot@
    399403coin_have_doxygen = @coin_have_doxygen@
     404coin_have_latex = @coin_have_latex@
    400405datadir = @datadir@
    401406exec_prefix = @exec_prefix@
  • stable/2.9/Makefile.in

    r2263 r2268  
    114114COIN_CXX_IS_CL_FALSE = @COIN_CXX_IS_CL_FALSE@
    115115COIN_CXX_IS_CL_TRUE = @COIN_CXX_IS_CL_TRUE@
     116COIN_HAS_DOXYGEN_FALSE = @COIN_HAS_DOXYGEN_FALSE@
     117COIN_HAS_DOXYGEN_TRUE = @COIN_HAS_DOXYGEN_TRUE@
     118COIN_HAS_LATEX_FALSE = @COIN_HAS_LATEX_FALSE@
     119COIN_HAS_LATEX_TRUE = @COIN_HAS_LATEX_TRUE@
    116120COIN_SKIP_PROJECTS = @COIN_SKIP_PROJECTS@
    117121CPP = @CPP@
     
    211215coin_doxy_usedot = @coin_doxy_usedot@
    212216coin_have_doxygen = @coin_have_doxygen@
     217coin_have_latex = @coin_have_latex@
    213218datadir = @datadir@
    214219exec_prefix = @exec_prefix@
     
    256261DISTCLEANFILES = coin_subdirs.txt $(am__append_2) \
    257262        $(VPATH_DISTCLEANFILES)
    258 DocFiles = README AUTHORS LICENSE
     263DocFiles = README AUTHORS LICENSE 
    259264DocInstallDir = $(datadir)/coin/doc/$(PACKAGE_NAME)
     265COIN_HAS_DOXYGEN = @COIN_HAS_DOXYGEN_TRUE@TRUE
     266COIN_HAS_LATEX = @COIN_HAS_LATEX_TRUE@TRUE
    260267all: all-recursive
    261268
     
    733740.PHONY: test unitTest tests unitTests doxydoc
    734741
    735 install-doc: $(DocFiles)
     742doxygen-docs:
     743        if test "$(COIN_HAS_DOXYGEN)" = TRUE; then \
     744          if test -d "doxydoc/"; then \
     745            doxygen doxydoc/doxygen.conf;\
     746          fi;\
     747        fi
     748
     749pdf-doxygen-docs: doxygen-docs
     750        if test "$(COIN_HAS_DOXYGEN)" = TRUE; then \
     751          if test -d "doxydoc/latex"; then \
     752            if test "$(COIN_HAS_LATEX)" = TRUE; then \
     753              cd doxydoc/latex;\
     754              $(MAKE) pdf;\
     755              cd -;\
     756            fi;\
     757          fi;\
     758        fi
     759
     760clean-doxygen-docs:
     761        if test -d "doxydoc/"; then \
     762          cd doxydoc ;\
     763          rm -rf html latex *.log *.tag;\
     764        fi
     765
     766install-doxygen-docs: doxygen-docs
     767        if test "$(COIN_HAS_DOXYGEN)" = TRUE; then \
     768          if test -d "doxydoc/"; then \
     769            test -d "$(DESTDIR)$(DocInstallDir)/doxydoc" || $(mkdir_p) "$(DESTDIR)$(DocInstallDir)/doxydoc"; \
     770            $(INSTALL_DATA) @coin_doxy_tagname@ "$(DESTDIR)$(DocInstallDir)/@coin_doxy_tagname@";\
     771            if test -f "doxydoc/latex/refman.pdf"; then \
     772              $(INSTALL_DATA) doxydoc/latex/refman.pdf "$(DESTDIR)$(DocInstallDir)";\
     773            fi;\
     774            if test -d "doxydoc/html"; then \
     775              test -d "$(DESTDIR)$(DocInstallDir)/doxydoc/search/" || $(mkdir_p) "$(DESTDIR)$(DocInstallDir)/doxydoc/search/"; \
     776              $(INSTALL_DATA) doxydoc/html/*.* "$(DESTDIR)$(DocInstallDir)/doxydoc";\
     777              $(INSTALL_DATA) doxydoc/html/search/*.* "$(DESTDIR)$(DocInstallDir)/doxydoc/search";\
     778            fi;\
     779          fi;\
     780        fi
     781
     782uninstall-doxygen-docs:
     783        if test -d "$(DESTDIR)$(DocInstallDir)/doxydoc/"; then \
     784          rm -rf "$(DESTDIR)$(DocInstallDir)/doxydoc/"; \
     785        fi
     786        if test -f "$(DESTDIR)$(DocInstallDir)/refman.pdf"; then \
     787          rm -f "$(DESTDIR)$(DocInstallDir)/refman.pdf"; \
     788        fi
     789
     790all-doxygen-docs:
     791        for dir in $(subdirs) ; do \
     792          do_project=true;\
     793          for proj in $(COIN_SKIP_DOXYGEN); do\
     794            if test $$dir = $$proj; then\
     795              do_project=false;\
     796            fi;\
     797          done;\
     798          if test -r $$dir/doxydoc & $$do_project = true; then \
     799            (cd $$dir ; $(MAKE) doxygen-docs) \
     800          fi ; \
     801        done ;
     802
     803clean-all-doxygen-docs:
     804        for dir in $(subdirs) ; do \
     805          if test -r $$dir/doxydoc ; then \
     806            (cd $$dir ; $(MAKE) clean-doxygen-docs) \
     807          fi ; \
     808        done ;
     809
     810install-all-doxygen-docs: all-doxygen-docs
     811        for dir in $(subdirs) ; do \
     812          do_project=true;\
     813          for proj in $(COIN_SKIP_DOXYGEN); do\
     814            if test $$dir = $$proj; then\
     815              do_project=false;\
     816            fi;\
     817          done;\
     818          if test -r $$dir/doxydoc & $$do_project = true; then \
     819            (cd $$dir ; $(MAKE) install-doxygen-docs) \
     820          fi ; \
     821        done ;
     822
     823uninstall-all-doxygen-docs:
     824        for dir in $(subdirs) ; do \
     825          if test -r $$dir/doxydoc ; then \
     826            (cd $$dir ; $(MAKE) uninstall-doxygen-docs) \
     827          fi ; \
     828        done ;
     829
     830install-doc: $(DocFiles)
    736831        test -z "$(DocInstallDir)" || $(mkdir_p) "$(DESTDIR)$(DocInstallDir)"
    737832        for file in $(DocFiles); do \
    738833          if test -f "$$file"; then dir=; else dir="$(srcdir)/"; fi; \
    739834          if test -f "$$dir$$file"; then $(INSTALL_DATA) "$$dir$$file" "$(DESTDIR)$(DocInstallDir)/$$file"; fi; \
    740         done
     835        done 
    741836
    742837uninstall-doc:
  • stable/2.9/configure

    r2263 r2268  
    490490ac_subdirs_all="$ac_subdirs_all Cgl"
    491491ac_subdirs_all="$ac_subdirs_all Cbc"
    492 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT COIN_CC_IS_CL_TRUE COIN_CC_IS_CL_FALSE MPICC CXXDEFS ADD_CXXFLAGS DBG_CXXFLAGS OPT_CXXFLAGS CXX CXXFLAGS ac_ct_CXX COIN_CXX_IS_CL_TRUE COIN_CXX_IS_CL_FALSE MPICXX ADD_FFLAGS DBG_FFLAGS OPT_FFLAGS F77 ac_ct_F77 FFLAGS MPIF77 EGREP LN_S INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS DEPENDENCY_LINKING_TRUE DEPENDENCY_LINKING_FALSE LT_LDFLAGS COIN_SKIP_PROJECTS subdirs coin_have_doxygen coin_doxy_usedot coin_doxy_tagname coin_doxy_logname coin_doxy_tagfiles coin_doxy_excludes LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
     492ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT COIN_CC_IS_CL_TRUE COIN_CC_IS_CL_FALSE MPICC CXXDEFS ADD_CXXFLAGS DBG_CXXFLAGS OPT_CXXFLAGS CXX CXXFLAGS ac_ct_CXX COIN_CXX_IS_CL_TRUE COIN_CXX_IS_CL_FALSE MPICXX ADD_FFLAGS DBG_FFLAGS OPT_FFLAGS F77 ac_ct_F77 FFLAGS MPIF77 EGREP LN_S INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS DEPENDENCY_LINKING_TRUE DEPENDENCY_LINKING_FALSE LT_LDFLAGS COIN_SKIP_PROJECTS subdirs coin_have_doxygen coin_have_latex coin_doxy_usedot coin_doxy_tagname coin_doxy_logname COIN_HAS_DOXYGEN_TRUE COIN_HAS_DOXYGEN_FALSE COIN_HAS_LATEX_TRUE COIN_HAS_LATEX_FALSE coin_doxy_tagfiles coin_doxy_excludes LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
    493493ac_subst_files=''
    494494
     
    11271127                          optimize for fast installation [default=yes]
    11281128  --disable-libtool-lock  avoid locking (might break parallel builds)
     1129  --disable-dependency-linking
     1130                          disable linking library dependencies into shared
     1131                          libraries
    11291132
    11301133Optional Packages:
     
    39423945fi
    39433946
    3944 # correct the LD variable in a build with MS or intel compiler
     3947# correct the LD variable in a build with MS or Intel-windows compiler
    39453948case "$CXX" in
    39463949  clang* ) ;;
     
    39623965  *-cygwin* | *-mingw*)
    39633966     if test "$enable_msvc" = yes ; then
    3964        coin_f77_comps="ifort fl32 compile_f2c gfortran g95 g77"
     3967       coin_f77_comps="ifort fl32 compile_f2c"
    39653968     else
    39663969       coin_f77_comps="gfortran ifort g95 g77 fl32 compile_f2c"
     
    41864189
    41874190# Provide some information about the compiler.
    4188 echo "$as_me:4188:" \
     4191echo "$as_me:4191:" \
    41894192     "checking for Fortran 77 compiler version" >&5
    41904193ac_compiler=`set X $ac_compile; echo $2`
     
    46284631
    46294632# correct the LD variable if we use the intel fortran compiler in windows
    4630 case "$F77" in
    4631   ifort* | */ifort* | IFORT* | */IFORT*)
    4632     LD=link
    4633     ;;
     4633case $build in
     4634  *-cygwin* | *-mingw*)
     4635    case "$F77" in
     4636      ifort* | */ifort* | IFORT* | */IFORT*)
     4637        LD=link
     4638      ;;
     4639    esac
     4640  ;;
    46344641esac
    46354642
     
    46744681            ;;
    46754682          *gcc*)
    4676             if test x"$enable_dependency_linking" = xyes; then
     4683            if test x"$enable_dependency_linking" = xyes; then
    46774684              coin_disable_shared=no
    46784685            else
     
    64106417*-*-irix6*)
    64116418  # Find out which ABI we are using.
    6412   echo '#line 6412 "configure"' > conftest.$ac_ext
     6419  echo '#line 6419 "configure"' > conftest.$ac_ext
    64136420  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    64146421  (eval $ac_compile) 2>&5
     
    83748381   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    83758382   -e 's:$: $lt_compiler_flag:'`
    8376    (eval echo "\"\$as_me:8376: $lt_compile\"" >&5)
     8383   (eval echo "\"\$as_me:8383: $lt_compile\"" >&5)
    83778384   (eval "$lt_compile" 2>conftest.err)
    83788385   ac_status=$?
    83798386   cat conftest.err >&5
    8380    echo "$as_me:8380: \$? = $ac_status" >&5
     8387   echo "$as_me:8387: \$? = $ac_status" >&5
    83818388   if (exit $ac_status) && test -s "$ac_outfile"; then
    83828389     # The compiler can only warn and ignore the option if not recognized
     
    86428649   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    86438650   -e 's:$: $lt_compiler_flag:'`
    8644    (eval echo "\"\$as_me:8644: $lt_compile\"" >&5)
     8651   (eval echo "\"\$as_me:8651: $lt_compile\"" >&5)
    86458652   (eval "$lt_compile" 2>conftest.err)
    86468653   ac_status=$?
    86478654   cat conftest.err >&5
    8648    echo "$as_me:8648: \$? = $ac_status" >&5
     8655   echo "$as_me:8655: \$? = $ac_status" >&5
    86498656   if (exit $ac_status) && test -s "$ac_outfile"; then
    86508657     # The compiler can only warn and ignore the option if not recognized
     
    87468753   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    87478754   -e 's:$: $lt_compiler_flag:'`
    8748    (eval echo "\"\$as_me:8748: $lt_compile\"" >&5)
     8755   (eval echo "\"\$as_me:8755: $lt_compile\"" >&5)
    87498756   (eval "$lt_compile" 2>out/conftest.err)
    87508757   ac_status=$?
    87518758   cat out/conftest.err >&5
    8752    echo "$as_me:8752: \$? = $ac_status" >&5
     8759   echo "$as_me:8759: \$? = $ac_status" >&5
    87538760   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    87548761   then
     
    1109111098  lt_status=$lt_dlunknown
    1109211099  cat > conftest.$ac_ext <<EOF
    11093 #line 11093 "configure"
     11100#line 11100 "configure"
    1109411101#include "confdefs.h"
    1109511102
     
    1119111198  lt_status=$lt_dlunknown
    1119211199  cat > conftest.$ac_ext <<EOF
    11193 #line 11193 "configure"
     11200#line 11200 "configure"
    1119411201#include "confdefs.h"
    1119511202
     
    1353513542   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1353613543   -e 's:$: $lt_compiler_flag:'`
    13537    (eval echo "\"\$as_me:13537: $lt_compile\"" >&5)
     13544   (eval echo "\"\$as_me:13544: $lt_compile\"" >&5)
    1353813545   (eval "$lt_compile" 2>conftest.err)
    1353913546   ac_status=$?
    1354013547   cat conftest.err >&5
    13541    echo "$as_me:13541: \$? = $ac_status" >&5
     13548   echo "$as_me:13548: \$? = $ac_status" >&5
    1354213549   if (exit $ac_status) && test -s "$ac_outfile"; then
    1354313550     # The compiler can only warn and ignore the option if not recognized
     
    1363913646   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1364013647   -e 's:$: $lt_compiler_flag:'`
    13641    (eval echo "\"\$as_me:13641: $lt_compile\"" >&5)
     13648   (eval echo "\"\$as_me:13648: $lt_compile\"" >&5)
    1364213649   (eval "$lt_compile" 2>out/conftest.err)
    1364313650   ac_status=$?
    1364413651   cat out/conftest.err >&5
    13645    echo "$as_me:13645: \$? = $ac_status" >&5
     13652   echo "$as_me:13652: \$? = $ac_status" >&5
    1364613653   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1364713654   then
     
    1520915216   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1521015217   -e 's:$: $lt_compiler_flag:'`
    15211    (eval echo "\"\$as_me:15211: $lt_compile\"" >&5)
     15218   (eval echo "\"\$as_me:15218: $lt_compile\"" >&5)
    1521215219   (eval "$lt_compile" 2>conftest.err)
    1521315220   ac_status=$?
    1521415221   cat conftest.err >&5
    15215    echo "$as_me:15215: \$? = $ac_status" >&5
     15222   echo "$as_me:15222: \$? = $ac_status" >&5
    1521615223   if (exit $ac_status) && test -s "$ac_outfile"; then
    1521715224     # The compiler can only warn and ignore the option if not recognized
     
    1531315320   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1531415321   -e 's:$: $lt_compiler_flag:'`
    15315    (eval echo "\"\$as_me:15315: $lt_compile\"" >&5)
     15322   (eval echo "\"\$as_me:15322: $lt_compile\"" >&5)
    1531615323   (eval "$lt_compile" 2>out/conftest.err)
    1531715324   ac_status=$?
    1531815325   cat out/conftest.err >&5
    15319    echo "$as_me:15319: \$? = $ac_status" >&5
     15326   echo "$as_me:15326: \$? = $ac_status" >&5
    1532015327   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1532115328   then
     
    1752017527   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1752117528   -e 's:$: $lt_compiler_flag:'`
    17522    (eval echo "\"\$as_me:17522: $lt_compile\"" >&5)
     17529   (eval echo "\"\$as_me:17529: $lt_compile\"" >&5)
    1752317530   (eval "$lt_compile" 2>conftest.err)
    1752417531   ac_status=$?
    1752517532   cat conftest.err >&5
    17526    echo "$as_me:17526: \$? = $ac_status" >&5
     17533   echo "$as_me:17533: \$? = $ac_status" >&5
    1752717534   if (exit $ac_status) && test -s "$ac_outfile"; then
    1752817535     # The compiler can only warn and ignore the option if not recognized
     
    1778817795   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1778917796   -e 's:$: $lt_compiler_flag:'`
    17790    (eval echo "\"\$as_me:17790: $lt_compile\"" >&5)
     17797   (eval echo "\"\$as_me:17797: $lt_compile\"" >&5)
    1779117798   (eval "$lt_compile" 2>conftest.err)
    1779217799   ac_status=$?
    1779317800   cat conftest.err >&5
    17794    echo "$as_me:17794: \$? = $ac_status" >&5
     17801   echo "$as_me:17801: \$? = $ac_status" >&5
    1779517802   if (exit $ac_status) && test -s "$ac_outfile"; then
    1779617803     # The compiler can only warn and ignore the option if not recognized
     
    1789217899   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1789317900   -e 's:$: $lt_compiler_flag:'`
    17894    (eval echo "\"\$as_me:17894: $lt_compile\"" >&5)
     17901   (eval echo "\"\$as_me:17901: $lt_compile\"" >&5)
    1789517902   (eval "$lt_compile" 2>out/conftest.err)
    1789617903   ac_status=$?
    1789717904   cat out/conftest.err >&5
    17898    echo "$as_me:17898: \$? = $ac_status" >&5
     17905   echo "$as_me:17905: \$? = $ac_status" >&5
    1789917906   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1790017907   then
     
    2058420591    *-mingw*)
    2058520592      CYGPATH_W=echo
    20586       mydos2unix=
    2058720593      ;;
    2058820594  esac
     
    2078820794  # On Cygwin and AIX, building DLLs doesn't work
    2078920795  dependency_linking=no
    20790   if test x"$enable_shared" = xyes; then
     20796  if test x"$coin_disable_shared" = xno; then
    2079120797    case $build in
    2079220798      *-cygwin* | *-mingw*)
    2079320799        case "$CC" in
    2079420800          clang* )
    20795             dependency_linking=yes
     20801            dependency_linking=yes
    2079620802            ;;
    2079720803          cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    20798             dependency_linking=no
     20804            dependency_linking=no
    2079920805            ;;
    2080020806          *gcc*)
    20801             dependency_linking=yes
     20807            dependency_linking=yes
    2080220808            ;;
    2080320809          *)
    20804             dependency_linking=yes
     20810            dependency_linking=yes
    2080520811            ;;
    2080620812        esac
     
    2281022816fi
    2281122817
     22818# Extract the first word of "latex", so it can be a program name with args.
     22819set dummy latex; ac_word=$2
     22820echo "$as_me:$LINENO: checking for $ac_word" >&5
     22821echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
     22822if test "${ac_cv_prog_coin_have_latex+set}" = set; then
     22823  echo $ECHO_N "(cached) $ECHO_C" >&6
     22824else
     22825  if test -n "$coin_have_latex"; then
     22826  ac_cv_prog_coin_have_latex="$coin_have_latex" # Let the user override the test.
     22827else
     22828as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
     22829for as_dir in $PATH
     22830do
     22831  IFS=$as_save_IFS
     22832  test -z "$as_dir" && as_dir=.
     22833  for ac_exec_ext in '' $ac_executable_extensions; do
     22834  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
     22835    ac_cv_prog_coin_have_latex="yes"
     22836    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
     22837    break 2
     22838  fi
     22839done
     22840done
     22841
     22842  test -z "$ac_cv_prog_coin_have_latex" && ac_cv_prog_coin_have_latex="no"
     22843fi
     22844fi
     22845coin_have_latex=$ac_cv_prog_coin_have_latex
     22846if test -n "$coin_have_latex"; then
     22847  echo "$as_me:$LINENO: result: $coin_have_latex" >&5
     22848echo "${ECHO_T}$coin_have_latex" >&6
     22849else
     22850  echo "$as_me:$LINENO: result: no" >&5
     22851echo "${ECHO_T}no" >&6
     22852fi
     22853
    2281222854
    2281322855# Look for the dot tool from the graphviz package, unless the user has
     
    2287422916
    2287522917
     22918
     22919if test $coin_have_doxygen = yes; then
     22920  COIN_HAS_DOXYGEN_TRUE=
     22921  COIN_HAS_DOXYGEN_FALSE='#'
     22922else
     22923  COIN_HAS_DOXYGEN_TRUE='#'
     22924  COIN_HAS_DOXYGEN_FALSE=
     22925fi
     22926
     22927
     22928
     22929if test $coin_have_latex = yes; then
     22930  COIN_HAS_LATEX_TRUE=
     22931  COIN_HAS_LATEX_FALSE='#'
     22932else
     22933  COIN_HAS_LATEX_TRUE='#'
     22934  COIN_HAS_LATEX_FALSE=
     22935fi
     22936
     22937
    2287622938# Process the list of project names and massage them into possible doxygen
    2287722939# doc'n directories. Prefer 1) classic external, source processed using
     
    2289322955  doxytag=${lc_proj}_doxy.tag
    2289422956  doxyfound=no
    22895   for chkProj in $coin_subdirs ; do
    22896     if test "$chkProj" = "$proj" ; then
    22897       # proj will be configured, hence doxydoc present in build tree
    22898       doxysrcdir="${srcdir}/${proj}"
    22899       # AC_MSG_NOTICE([Considering $doxysrcdir (base)])
    22900       if test -d "$doxysrcdir" ; then
    22901         # with a doxydoc directory?
    22902         doxydir="$doxysrcdir/doxydoc"
    22903         # AC_MSG_NOTICE([Considering $doxydir (base)])
    22904         # AC_MSG_NOTICE([Subdirs: $coin_subdirs)])
    22905         if test -d "$doxydir" ; then
    22906           # use tag file; don't process source
    22907           eval doxydir="`pwd`/${proj}/doxydoc"
    22908           coin_doxy_tagfiles="$coin_doxy_tagfiles $doxydir/$doxytag=$doxydir/html"
    22909           echo "$as_me:$LINENO: result: $doxydir (tag)" >&5
     22957  # proj will be configured, hence doxydoc present in build tree
     22958  doxysrcdir="${srcdir}/../${proj}"
     22959  # AC_MSG_NOTICE([Considering $doxysrcdir (base)])
     22960  if test -d "$doxysrcdir" ; then
     22961    # with a doxydoc directory?
     22962    doxydir="$doxysrcdir/doxydoc"
     22963    # AC_MSG_NOTICE([Considering $doxydir (base)])
     22964    # AC_MSG_NOTICE([Subdirs: $coin_subdirs)])
     22965    if test -d "$doxydir" ; then
     22966      # use tag file; don't process source
     22967      doxydir="../${proj}/doxydoc"
     22968      coin_doxy_tagfiles="$coin_doxy_tagfiles $doxydir/$doxytag=../../$doxydir/html"
     22969      echo "$as_me:$LINENO: result: $doxydir (tag)" >&5
    2291022970echo "${ECHO_T}$doxydir (tag)" >&6
    22911           coin_doxy_excludes="$coin_doxy_excludes */${proj}"
    22912         else
    22913           # will process the source -- nothing further to be done here
    22914           echo "$as_me:$LINENO: result: $doxysrcdir (src)" >&5
     22971      coin_doxy_excludes="$coin_doxy_excludes */${proj}"
     22972    else
     22973      # will process the source -- nothing further to be done here
     22974      echo "$as_me:$LINENO: result: $doxysrcdir (src)" >&5
    2291522975echo "${ECHO_T}$doxysrcdir (src)" >&6
    22916         fi
    22917         doxyfound=yes
    22918       fi
    2291922976    fi
    22920   done
     22977    doxyfound=yes
     22978  fi
    2292122979  # Not built, fall back to installed tag file
    2292222980  if test $doxyfound = no ; then
     
    2318323241Usually this means the macro was only invoked conditionally." >&5
    2318423242echo "$as_me: error: conditional \"DEPENDENCY_LINKING\" was never defined.
     23243Usually this means the macro was only invoked conditionally." >&2;}
     23244   { (exit 1); exit 1; }; }
     23245fi
     23246if test -z "${COIN_HAS_DOXYGEN_TRUE}" && test -z "${COIN_HAS_DOXYGEN_FALSE}"; then
     23247  { { echo "$as_me:$LINENO: error: conditional \"COIN_HAS_DOXYGEN\" was never defined.
     23248Usually this means the macro was only invoked conditionally." >&5
     23249echo "$as_me: error: conditional \"COIN_HAS_DOXYGEN\" was never defined.
     23250Usually this means the macro was only invoked conditionally." >&2;}
     23251   { (exit 1); exit 1; }; }
     23252fi
     23253if test -z "${COIN_HAS_LATEX_TRUE}" && test -z "${COIN_HAS_LATEX_FALSE}"; then
     23254  { { echo "$as_me:$LINENO: error: conditional \"COIN_HAS_LATEX\" was never defined.
     23255Usually this means the macro was only invoked conditionally." >&5
     23256echo "$as_me: error: conditional \"COIN_HAS_LATEX\" was never defined.
    2318523257Usually this means the macro was only invoked conditionally." >&2;}
    2318623258   { (exit 1); exit 1; }; }
     
    2382023892s,@subdirs@,$subdirs,;t t
    2382123893s,@coin_have_doxygen@,$coin_have_doxygen,;t t
     23894s,@coin_have_latex@,$coin_have_latex,;t t
    2382223895s,@coin_doxy_usedot@,$coin_doxy_usedot,;t t
    2382323896s,@coin_doxy_tagname@,$coin_doxy_tagname,;t t
    2382423897s,@coin_doxy_logname@,$coin_doxy_logname,;t t
     23898s,@COIN_HAS_DOXYGEN_TRUE@,$COIN_HAS_DOXYGEN_TRUE,;t t
     23899s,@COIN_HAS_DOXYGEN_FALSE@,$COIN_HAS_DOXYGEN_FALSE,;t t
     23900s,@COIN_HAS_LATEX_TRUE@,$COIN_HAS_LATEX_TRUE,;t t
     23901s,@COIN_HAS_LATEX_FALSE@,$COIN_HAS_LATEX_FALSE,;t t
    2382523902s,@coin_doxy_tagfiles@,$coin_doxy_tagfiles,;t t
    2382623903s,@coin_doxy_excludes@,$coin_doxy_excludes,;t t
Note: See TracChangeset for help on using the changeset viewer.